Bug 225983 - [patch] sysutils/py-salt update to 2017.7.3 and make AWS support optional
Summary: [patch] sysutils/py-salt update to 2017.7.3 and make AWS support optional
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-02-17 11:31 UTC by Olli Hauer
Modified: 2018-02-25 08:56 UTC (History)
3 users (show)

See Also:
christer.edwards: maintainer-feedback+
woodsb02: merge-quarterly+


Attachments
patch update salt and make AWS support optional (2.29 KB, patch)
2018-02-17 11:31 UTC, Olli Hauer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer freebsd_committer 2018-02-17 11:31:49 UTC
Created attachment 190727 [details]
patch update salt and make AWS support optional

update to 2017.7.3, additional make AWS support optional.

py-boto* ports are updated very frequently but are not required if no AWS instance is in use.
Sadly if you run ports current all salt-minions have to restart every tome py-poto* gets an update else sysutils/lsop complains.
Comment 1 Christer Edwards 2018-02-22 23:47:43 UTC
I like it. Thank you for the patch.
Comment 2 commit-hook freebsd_committer 2018-02-24 01:56:20 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Feb 24 01:56:11 UTC 2018
New revision: 462766
URL: https://svnweb.freebsd.org/changeset/ports/462766

Log:
  sysutils/py-salt: Update to 2017.7.3

  This is a bug fix release for the 2017.7.x branch. Changes this release:
    https://docs.saltstack.com/en/latest/topics/releases/2017.7.3.html

  PR:		225983
  Submitted by:	ohauer
  Approved by:	Christer Edwards (maintainer)
  MFH:		2018Q1

Changes:
  head/sysutils/py-salt/Makefile
  head/sysutils/py-salt/distinfo
Comment 3 commit-hook freebsd_committer 2018-02-24 02:14:36 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Feb 24 02:13:41 UTC 2018
New revision: 462767
URL: https://svnweb.freebsd.org/changeset/ports/462767

Log:
  sysutils/py-salt: make AWS support optional (off by default)

  PR:		225983
  Submitted by:	ohauer
  Approved by:	Christer Edwards (maintainer)

Changes:
  head/sysutils/py-salt/Makefile
Comment 4 commit-hook freebsd_committer 2018-02-25 08:54:17 UTC
A commit references this bug:

Author: woodsb02
Date: Sun Feb 25 08:53:22 UTC 2018
New revision: 462943
URL: https://svnweb.freebsd.org/changeset/ports/462943

Log:
  MFH: r462766

  sysutils/py-salt: Update to 2017.7.3

  This is a bug fix release for the 2017.7.x branch. Changes this release:
    https://docs.saltstack.com/en/latest/topics/releases/2017.7.3.html

  PR:		225983
  Submitted by:	ohauer
  Approved by:	Christer Edwards (maintainer)

  Approved by:	ports-secteam (riggs)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/sysutils/py-salt/Makefile
  branches/2018Q1/sysutils/py-salt/distinfo
Comment 5 Ben Woods freebsd_committer 2018-02-25 08:56:36 UTC
Committed - thanks!

Note: I only backported to upgrade to salt 2017.7.3 to the ports quarterly branch 2018Q1... the optional AWS dependencies only exists in the ports head branch. The idea was to minimise the changes on users using the quarterly branch.